import React from 'react';

export const repayIcon = () => (
  <svg
    xmlns="http://www.w3.org/2000/svg"
    width="100%"
    height="100%"
    viewBox="0 0 24.351 25"
  >
    <g id="Repay" transform="translate(-179 -2252.002)">
      <path
        id="Subtraction_4"
        data-name="Subtraction 4"
        d="M-2892.2,19053.627v0a5.383,5.383,0,0,0,.147-1.248,5.38,5.38,0,0,0-5.375-5.375,5.311,5.311,0,0,0-2.255.5c-.052-.072-.1-.135-.148-.189a2.323,2.323,0,0,0-.644-.531,6.374,6.374,0,0,1,3.046-.775,6.382,6.382,0,0,1,6.375,6.375,6.472,6.472,0,0,1-.035.668,1.815,1.815,0,0,0-.63.289,4.876,4.876,0,0,1-.48.291Z"
        transform="translate(3091.5 -16794)"
        fill="currentColor"
      />
      <path
        id="Path_5060_-_Outline"
        data-name="Path 5060 - Outline"
        d="M8.662-.5h0A2.87,2.87,0,0,1,11.012.709a17.978,17.978,0,0,1,2.444,6.335L20.438,8.91A5.507,5.507,0,0,1,23.869,11.5a4.777,4.777,0,0,1,.441,3.7l-2.4,8.288a.5.5,0,0,1-.48.361H8.21a.5.5,0,0,1-.381-.177L.334,14.829A2.7,2.7,0,0,1-.5,12.808a2.725,2.725,0,0,1,.981-2A3.2,3.2,0,0,1,2.57,10.05a3.171,3.171,0,0,1,2.218.874l1.4,1.372a1.024,1.024,0,0,0,.723.287.918.918,0,0,0,.97-.755C8.158,8.7,7.5,4.906,6.424,3.358a2.348,2.348,0,0,1-.332-2.036A2.579,2.579,0,0,1,7.658-.313,2.752,2.752,0,0,1,8.662-.5ZM21.053,22.851l2.3-7.927A3.784,3.784,0,0,0,23,11.989,4.516,4.516,0,0,0,20.18,9.876L12.894,7.929a.5.5,0,0,1-.363-.393,17.189,17.189,0,0,0-2.345-6.262A1.858,1.858,0,0,0,8.663.5h0a1.756,1.756,0,0,0-.641.119,1.586,1.586,0,0,0-.973.993,1.336,1.336,0,0,0,.195,1.173A10.538,10.538,0,0,1,8.653,6.839a20.326,20.326,0,0,1,.224,5.077,1.9,1.9,0,0,1-1.966,1.667,2.018,2.018,0,0,1-1.423-.573l-1.4-1.369A2.2,2.2,0,0,0,2.57,11.05a2.2,2.2,0,0,0-1.437.516A1.737,1.737,0,0,0,.5,12.838a1.712,1.712,0,0,0,.546,1.289.5.5,0,0,1,.034.037l7.36,8.687Z"
        transform="translate(202.851 2252.502) rotate(90)"
        fill="currentColor"
      />
    </g>
  </svg>
);
